<?php
/**
 * Gestion du formulaire de configuration du plugin list_elec
 *
 * @plugin Listes électorales (prefix : Listes_electorales)
 * @copyright  2020
 * @author     Thrax
 * @licence    GPL 3
 * @package    SPIP\List_elec\Formulaires
 */

// Sécurité
if (!defined('_ECRIRE_INC_VERSION')) return;

/**
 * Description des saisies du formulaire de configuration
 *
 * @return array
 *     Description des saisies
 */
function formulaires_configurer_list_elec_saisies_dist(){
	$saisies = array(
		array( 
			'saisie' => 'choisir_objets',
			'options' => array(
				'nom' => 'objets_candidats',
				'label' => _T('list_elec:cfg_objets_candidats'),
				'explication' =>  _T('list_elec:cfg_objets_candidats_explication'),
				'exclus' => array('spip_list_elecs','spip_list_membres'),
			),
		),
		array( 
			'saisie' => 'choisir_objets',
			'options' => array(
				'nom' => 'objets_ressorts',
				'label' => _T('list_elec:cfg_objets_ressorts'),
				'explication' =>  _T('list_elec:cfg_objets_ressorts_explication'),
				'exclus' => array('spip_list_elecs','spip_list_membres,spip_auteurs'),
			),
		),
	);

	return $saisies;
	
}